cascading.flow.planner.rule.transformer

## Class RuleReplaceFactoryBasedTransformer

- java.lang.Object
- - cascading.flow.planner.iso.transformer.GraphTransformer<ElementGraph,ElementGraph>
  - - cascading.flow.planner.rule.RuleTransformer
    - - cascading.flow.planner.rule.transformer.RuleReplaceFactoryBasedTransformer

All Implemented Interfaces:
  Rule

Direct Known Subclasses:
  ReplaceAccumulateTapWithDistCacheTransformer

    public class RuleReplaceFactoryBasedTransformer
    extends RuleTransformer

RuleTransformer that uses the supplied expression to fetch the FlowElement to replace. The replacement FlowElement is created using the supplied factory.

### Field Summary

### Fields inherited from class cascading.flow.planner.rule.RuleTransformer

`contractedTransformer, graphTransformer, ruleExpression, subGraphTransformer`

### Constructor Summary

Constructors
Constructor and Description
`RuleReplaceFactoryBasedTransformer(PlanPhase phase, RuleExpression ruleExpression, java.lang.String factoryName)`

### Method Summary

### Methods inherited from class cascading.flow.planner.rule.RuleTransformer

`getRuleName, getRulePhase, performTransform, toString, transform`

### Methods inherited from class cascading.flow.planner.iso.transformer.GraphTransformer

`transform`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### RuleReplaceFactoryBasedTransformer

    public RuleReplaceFactoryBasedTransformer(PlanPhase phase,
                                      RuleExpression ruleExpression,
                                      java.lang.String factoryName)